## Apache Zeta Components Manual :: File Source for dispatcher_configuration.php

## Source for file dispatcher_configuration.php

Documentation is available at dispatcher_configuration.php

1. <?php
2. /**
3. * File containing the ezcMvcDispatcherConfiguration class
4. *
5. * Licensed to the Apache Software Foundation (ASF) under one
6. * or more contributor license agreements. See the NOTICE file
7. * distributed with this work for additional information
8. * regarding copyright ownership. The ASF licenses this file
9. * to you under the Apache License, Version 2.0 (the
10. * "License"); you may not use this file except in compliance
11. * with the License. You may obtain a copy of the License at
12. *
13. * http://www.apache.org/licenses/LICENSE-2.0
14. *
15. * Unless required by applicable law or agreed to in writing,
16. * software distributed under the License is distributed on an
17. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
18. * KIND, either express or implied. See the License for the
19. * specific language governing permissions and limitations
20. * under the License.
21. *
22. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
23. * @version //autogentag//
24. * @filesource
25. * @package MvcTools
26. */
28. /**
29. * Configure a dispatcher with an instance of an implementation of this
30. * interface.
31. *
32. * You can use any dispatcher with the same configuration class.
33. *
34. * @package MvcTools
35. * @version //autogentag//
36. * @mainclass
37. */
38. interface ezcMvcDispatcherConfiguration
39. {
40. /**
41. * Creates the request parser able to produce a relevant request object
42. * for this session.
43. *
44. * @return ezcMvcRequestParser
45. */
46. public function createRequestParser ();
48. /**
49. * Create the router able to instantiate a relevant controller for this
50. * request.
51. *
52. * @param ezcMvcRequest $request
53. *
54. * @return ezcMvcRouter
55. */
56. public function createRouter ( ezcMvcRequest $request );
58. /**
59. * Creates the view handler that is able to process the result.
60. *
61. * @param ezcMvcRoutingInformation $routeInfo
62. * @param ezcMvcRequest $request
63. * @param ezcMvcResult $result
64. *
65. * @return ezcMvcView
66. */
67. public function createView ( ezcMvcRoutingInformation $routeInfo, ezcMvcRequest $request, ezcMvcResult $result );
69. /**
70. * Creates a response writer that uses the response and sends its
71. * output.
72. *
73. * This method should be able to pick different response writers, but the
74. * response writer itself will only know about the $response.
75. *
76. * @param ezcMvcRoutingInformation $routeInfo
77. * @param ezcMvcRequest $request
78. * @param ezcMvcResult $result
79. * @param ezcMvcResponse $response
80. *
81. * @return ezcMvcResponseWriter
82. */
83. public function createResponseWriter ( ezcMvcRoutingInformation $routeInfo, ezcMvcRequest $request, ezcMvcResult $result, ezcMvcResponse $response );
85. /**
86. * Create the default internal redirect object in case something goes
87. * wrong in the views.
88. *
89. * @param ezcMvcRequest $request
90. * @param ezcMvcResult $result
91. * @param Exception $e
92. *
93. * @return ezcMvcRedirect
94. */
95. public function createFatalRedirectRequest ( ezcMvcRequest $request, ezcMvcResult $result, Exception $e );
97. /**
98. * Runs all the pre-routing filters that are deemed necessary depending on
99. * information in $request.
100. *
101. * The pre-routing filters could modify the request data so that a
102. * different router can be chosen.
103. *
104. * @param ezcMvcRequest $request
105. */
106. public function runPreRoutingFilters ( ezcMvcRequest $request );
108. /**
109. * Runs all the request filters that are deemed necessary depending on
110. * information in $routeInfo and $request.
111. *
112. * This method can return an object of class ezcMvcInternalRedirect in case
113. * the filters require this. A reason for this could be in case an
114. * authentication filter requires authentication credentials to be passed
115. * in through a login form. The method can also not return anything in case
116. * no redirect is necessary.
117. *
118. * @param ezcMvcRoutingInformation $routeInfo
119. * @param ezcMvcRequest $request
120. *
121. * @return ezcMvcInternalRedirect|null
122. */
123. public function runRequestFilters ( ezcMvcRoutingInformation $routeInfo, ezcMvcRequest $request );
125. /**
126. * Runs all the request filters that are deemed necessary depending on
127. * information in $routeInfo, $request and $result.
128. *
129. * @param ezcMvcRoutingInformation $routeInfo
130. * @param ezcMvcRequest $request
131. * @param ezcMvcResult $result
132. */
133. public function runResultFilters ( ezcMvcRoutingInformation $routeInfo, ezcMvcRequest $request, ezcMvcResult $result );
135. /**
136. * Runs all the request filters that are deemed necessary depending on
137. * information in $routeInfo, $request, $result and $response.
138. *
139. * @param ezcMvcRoutingInformation $routeInfo
140. * @param ezcMvcRequest $request
141. * @param ezcMvcResult $result
142. * @param ezcMvcResponse $response
143. */
144. public function runResponseFilters ( ezcMvcRoutingInformation $routeInfo, ezcMvcRequest $request, ezcMvcResult $result, ezcMvcResponse $response );
145. }
146. ?>

Documentation generated by phpDocumentor 1.4.3